<div>
<%= controller.agg_select(id)[0] %>

  <%= select_tag('agg_name', options_for_select(agg_possibs, agg_id),:disabled => !agg_id.nil?) %>


  <%= link_to({ :action => 'show_agg_fields', :id => id, :controller => 'plants', :show_all => show_all == 'false'},
              { :remote => true}) do %>
    <button type="button">
      <%= show_all == 'true' ? 'nur dazugehörige' : 'alle' %> Anlagen anzeigen
    </button>
  <% end %>

  <%= filter_link(id, 'get_agg_possibs_json', 'agg_name', show_all, 'Agglomerationen')%>
</div>

<div>
  <i class="fa fa-question-circle-o doku-link" title='Die Summe der Prozentzahlen der Agglomeration zugeordneten Anlagen muss gleich "Angeschlossene EW an Kläranlage [%] (agg_c1_ka)" sein. Wenn nicht alle EW angeschlossen sind, ist agg_c1_ka < 100%.'></i> <span>Anteil des eingeleiteten Abwassers der Agglomeration: </span>
  <%= number_field_tag 'percent', @agg_c1_ka, min: 0, max: 100, step: :any%>%
</div>

<div>
  <!--  Action is handled by js. See bottom of file-->
  <button type="button" id="submit-agg" title="Agglomeration zur Liste hinzufügen.">Hinzufügen</button>
  <button type="button" id="hide_aggs_field" title="Agglomeration nicht zur Liste hinzufügen.">Abbrechen</button>
</div>


<script  type="text/javascript" language="javascript">

$("#submit-agg").click(function(event){
    event.preventDefault();
    $.ajax({
        url: '<%= url_for({:action => 'add_agg', :plant_id => id, :controller => 'plants'}) %>',
        data: 'agglomeration_id=' + $('#agg_name').val() + '&percent=' + $('#percent').val(),
        type: "GET",
        dataType: "html",
        success: function (text) {
            $("#agg-view").html(text)
        }
    })
});

$("#hide_aggs_field").click(function(event){
    event.preventDefault();
    $.ajax({
        url: '<%= url_for({:action => 'hide_agg_fields', :id => id, :controller => 'plants'}) %>',
        type: "GET",
        dataType: "html",
        success: function (text) {
            $("#agg-view").html(text)
        }
    })
});







// TODO: Validation

</script>